PROGRAM Divisores
IMPLICIT NONE
!Programa que calcula los divisores de un numero dado por el usuario

!Declaracion de variables
INTEGER :: divisor,n,m

!Leer un numero por teclado
PRINT*,"Dame un numero:
READ*,m


!Leer los divisores (e ir escribiendolos en pantalla)
PRINT*,"Los divisores son:"
divisor=n

DO WHILE (divisor>0)
        IF (mod(n,divisor)=0) 
                PRINT*,divisor
        ENDIF
        divisor=divisor+1
ENDDO

END 
